Public Member Functions | Private Attributes | List of all members
librevenge::RVNGDoubleProperty Class Reference
Inheritance diagram for librevenge::RVNGDoubleProperty:

## Public Member Functions
| RVNGDoubleProperty (const double val)
| ~RVNGDoubleProperty ()
virtual int | getInt () const
virtual double | getDouble () const
virtual RVNGUnit | getUnit () const
| returns the property unit when possible. More...
virtual RVNGString | getStr () const
virtual RVNGProperty * | clone () const
Public Member Functions inherited from librevenge::RVNGProperty
virtual | ~RVNGProperty ()

## Private Attributes
double | m_val

## Constructor & Destructor Documentation

## ◆ RVNGDoubleProperty()

librevenge::RVNGDoubleProperty::RVNGDoubleProperty | ( | const double | val | ) |

Referenced by clone().

## ◆ ~RVNGDoubleProperty()

librevenge::RVNGDoubleProperty::~RVNGDoubleProperty | ( |  | ) |
| inline

## Member Function Documentation

## ◆ clone()

RVNGProperty * librevenge::RVNGDoubleProperty::clone | ( |  | ) | const
| virtual

Implements librevenge::RVNGProperty.

Reimplemented in librevenge::RVNGGenericProperty, librevenge::RVNGTwipProperty, librevenge::RVNGPointProperty, librevenge::RVNGPercentProperty, and librevenge::RVNGInchProperty.

## ◆ getDouble()

double librevenge::RVNGDoubleProperty::getDouble | ( |  | ) | const
| virtual

Implements librevenge::RVNGProperty.

Referenced by clone(), librevenge::RVNGInchProperty::clone(), librevenge::RVNGPercentProperty::clone(), librevenge::RVNGPointProperty::clone(), librevenge::RVNGTwipProperty::clone(), getStr(), librevenge::RVNGInchProperty::getStr(), librevenge::RVNGPercentProperty::getStr(), and librevenge::RVNGPointProperty::getStr().

## ◆ getInt()

int librevenge::RVNGDoubleProperty::getInt | ( |  | ) | const
| virtual

Implements librevenge::RVNGProperty.

Referenced by librevenge::RVNGTwipProperty::getStr().

## ◆ getStr()

RVNGString librevenge::RVNGDoubleProperty::getStr | ( |  | ) | const
| virtual

Implements librevenge::RVNGProperty.

Reimplemented in librevenge::RVNGGenericProperty, librevenge::RVNGTwipProperty, librevenge::RVNGPointProperty, librevenge::RVNGPercentProperty, and librevenge::RVNGInchProperty.

## ◆ getUnit()

virtual RVNGUnit librevenge::RVNGDoubleProperty::getUnit | ( |  | ) | const
| inline virtual

returns the property unit when possible.

If not, returns RVNG_UNIT_ERROR

Implements librevenge::RVNGProperty.

Reimplemented in librevenge::RVNGTwipProperty, librevenge::RVNGPointProperty, librevenge::RVNGPercentProperty, and librevenge::RVNGInchProperty.

## Member Data Documentation

## ◆ m_val

double librevenge::RVNGDoubleProperty::m_val
| private

Referenced by getDouble(), and getInt().

The documentation for this class was generated from the following file:

- RVNGProperty.cpp